%global dlrn_nvr os-collect-config-10.5.2.dev1-0.20200520063441.5b8355d
%global dlrn 1
%define upstream_version 10.5.2.dev1
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:			os-collect-config
Version: 10.5.2
Release: 0.20200520063441.5b8355d%{?dist}
Summary:		Collect and cache metadata running hooks on changes

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0: os-collect-config-10.5.2.dev1-0.20200520063441.5b8355d.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=5b8355db34b729733eb420bd970c278b893abf84

Source1:		os-collect-config.service
Source2:		os-collect-config.conf

BuildArch:		noarch
BuildRequires:		systemd
Requires:		os-refresh-config

BuildRequires:		python%{pyver}-setuptools
BuildRequires:		python%{pyver}-devel
BuildRequires:		python%{pyver}-pbr

Requires:		python%{pyver}-pbr
Requires:		python%{pyver}-eventlet
Requires:		python%{pyver}-heatclient >= 1.10.0
Requires:		python%{pyver}-zaqarclient >= 1.0.0
Requires:		python%{pyver}-keystoneclient >= 1:3.8.0
Requires:		python%{pyver}-requests
Requires:		python%{pyver}-iso8601
Requires:		python%{pyver}-six
Requires:		python%{pyver}-oslo-config >= 2:5.2.0
Requires:		python%{pyver}-oslo-log >= 3.36.0

%if %{pyver} == 2
Requires:		python-anyjson
Requires:		python-dogpile-cache
Requires:		python-lxml
%else
Requires:		python%{pyver}-anyjson
Requires:		python%{pyver}-dogpile-cache
Requires:		python%{pyver}-lxml
%endif
%{?systemd_requires}

%description
Service to collect openstack heat metadata.

%prep

%setup -q -n %{name}-%{upstream_version}

%build
%{pyver_build}

%install
%{pyver_install}
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/os-collect-config.service
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/os-collect-config.conf
mkdir -p %{buildroot}%{_sharedstatedir}/%{name}/local-data

# Delete tests
rm -fr %{buildroot}%{pyver_sitelib}/os_collect_config/tests

%post
%systemd_post os-collect-config.service

%preun
%systemd_preun os-collect-config.service

%postun
%systemd_postun os-collect-config.service

%files
%doc README.rst
%doc LICENSE
%{_bindir}/os-collect-config
%config(noreplace) %attr(-, root, root) %{_sysconfdir}/os-collect-config.conf
%{_unitdir}/os-collect-config.service
%{_sharedstatedir}/%{name}/local-data
%{pyver_sitelib}/os_collect_config*

%changelog
* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 10.5.1-1
- Update patches
- remove tripleo jobs from os-collect-config train

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 10.5.1-1
- Update patches

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 10.5.1-1
- Update patches

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 10.5.0-1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Sync Sphinx requirement

* Tue Oct 01 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix config file documentation"
- Fix config file documentation

